Bug 2088938 - [abrt] cinnamon-calendar-server: require_version(): __init__.py:126:require_version:ValueError: Namespace Cinnamon not available
Summary: [abrt] cinnamon-calendar-server: require_version(): __init__.py:126:require_v...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:66782c4c3501cd9405938932d26...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-21 20:46 UTC by ozeszty
Modified: 2022-05-31 15:45 UTC (History)
3 users (show)

Fixed In Version: cinnamon-5.2.7-4.fc35 cinnamon-5.2.7-4.fc34 cinnamon-5.2.7-4.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-30 05:34:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (584 bytes, text/plain)
2022-05-21 20:46 UTC, ozeszty
no flags Details
File: cpuinfo (1.98 KB, text/plain)
2022-05-21 20:46 UTC, ozeszty
no flags Details
File: environ (2.21 KB, text/plain)
2022-05-21 20:46 UTC, ozeszty
no flags Details
File: mountinfo (2.18 KB, text/plain)
2022-05-21 20:46 UTC, ozeszty
no flags Details
File: namespaces (172 bytes, text/plain)
2022-05-21 20:46 UTC, ozeszty
no flags Details
File: open_fds (332 bytes, text/plain)
2022-05-21 20:46 UTC, ozeszty
no flags Details

Description ozeszty 2022-05-21 20:46:10 UTC
Description of problem:
Restarted after applying latest updates from updates-testing (including FEDORA-2022-c7aedf5499, which installed cinnamon-calendar-server-5.2.7-3.fc36.noarch) and abrt notification popped up right after logging in.

Version-Release number of selected component:
cinnamon-calendar-server-5.2.7-3.fc36

Additional info:
reporter:       libreport-2.17.1
cgroup:         0::/user.slice/user-1001.slice/user/app.slice/app-dbus\x2d:1.2\x2dorg.cinnamon.CalendarServer.slice/dbus-:1.2-org.cinnamon.CalendarServer
cmdline:        /usr/bin/python3 /usr/libexec/cinnamon/cinnamon-calendar-server.py
crash_function: require_version
exception_type: ValueError
executable:     /usr/libexec/cinnamon/cinnamon-calendar-server.py
interpreter:    python3-3.10.4-1.fc36.x86_64
kernel:         5.17.9-300.fc36.x86_64
runlevel:       N 5
type:           Python3
uid:            1001

Truncated backtrace:
__init__.py:126:require_version:ValueError: Namespace Cinnamon not available

Traceback (most recent call last):
  File "/usr/libexec/cinnamon/cinnamon-calendar-server.py", line 17, in <module>
    gi.require_version('Cinnamon', '0.1')
  File "/usr/lib64/python3.10/site-packages/gi/__init__.py", line 126, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Cinnamon not available

Local variables in innermost frame:
namespace: 'Cinnamon'
version: '0.1'
repository: <gi.Repository object at 0x7f19fb29d390>
available_versions: []

Comment 1 ozeszty 2022-05-21 20:46:13 UTC
Created attachment 1881864 [details]
File: backtrace

Comment 2 ozeszty 2022-05-21 20:46:14 UTC
Created attachment 1881865 [details]
File: cpuinfo

Comment 3 ozeszty 2022-05-21 20:46:15 UTC
Created attachment 1881866 [details]
File: environ

Comment 4 ozeszty 2022-05-21 20:46:16 UTC
Created attachment 1881867 [details]
File: mountinfo

Comment 5 ozeszty 2022-05-21 20:46:17 UTC
Created attachment 1881868 [details]
File: namespaces

Comment 6 ozeszty 2022-05-21 20:46:18 UTC
Created attachment 1881869 [details]
File: open_fds

Comment 7 Michael Webster 2022-05-21 21:13:22 UTC
Can you print the contents of "/usr/bin/cinnamon-calendar-server"

Comment 8 ozeszty 2022-05-21 21:51:40 UTC
$ cat /usr/bin/cinnamon-calendar-server
#!/usr/bin/sh

export GI_TYPELIB_PATH="/usr/lib/cinnamon:/usr/lib/muffin"
export LD_LIBRARY_PATH="/usr/lib/cinnamon:/usr/lib/muffin"

exec /usr/libexec/cinnamon/cinnamon-calendar-server.py $@

Comment 9 Fedora Update System 2022-05-22 08:19:13 UTC
FEDORA-2022-640861db99 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-640861db99

Comment 10 Fedora Update System 2022-05-22 08:19:14 UTC
FEDORA-2022-56be68a74e has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-56be68a74e

Comment 11 Fedora Update System 2022-05-22 08:19:15 UTC
FEDORA-2022-d7376d3af6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d7376d3af6

Comment 13 Fedora Update System 2022-05-23 01:13:46 UTC
FEDORA-2022-640861db99 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-640861db99`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-640861db99

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-05-23 01:33:09 UTC
FEDORA-2022-56be68a74e has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-56be68a74e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-56be68a74e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-05-23 02:03:27 UTC
FEDORA-2022-d7376d3af6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-d7376d3af6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d7376d3af6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-05-30 05:34:22 UTC
FEDORA-2022-56be68a74e has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-05-30 05:56:58 UTC
FEDORA-2022-d7376d3af6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-05-31 15:45:09 UTC
FEDORA-2022-640861db99 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.